org.apache.ignite.internal.commandline.property

## Class PropertyArgs

- java.lang.Object
- - org.apache.ignite.internal.dto.IgniteDataTransferObject
  - - org.apache.ignite.internal.commandline.property.PropertyArgs

All Implemented Interfaces:
  Externalizable, Serializable

    public class PropertyArgs
    extends IgniteDataTransferObject

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `PropertyArgs.Action`

### Field Summary

Fields
`static String` `NAME` Property name argument name.
`static String` `VAL` Type value argument name .

### Fields inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`V1, V2, V3, V4, V5, V6, V7, V8, V9`

### Constructor Summary

Constructors
Constructor and Description
`PropertyArgs()` Default constructor.
`PropertyArgs(String name, String val, PropertyArgs.Action action)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PropertyArgs.Action` `action()`
`String` `name()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`String` `value()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.dto.IgniteDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

Property name argument name.

See Also:
  Constant Field Values

#### VAL

    public static final String VAL

Type value argument name .

See Also:
  Constant Field Values

### Constructor Detail

#### PropertyArgs

    public PropertyArgs()

Default constructor.

#### PropertyArgs

    public PropertyArgs(String name,
                        String val,
                        PropertyArgs.Action action)

### Method Detail

#### name

    public String name()

#### value

    public String value()

#### action

    public PropertyArgs.Action action()

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `IgniteDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `IgniteDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021